:: REhpfs.bat ==> Reload a new driver to access HPFS partitions from DOS
::                - /A Reloads Andreas Kinzler's HPFS_access
::                - /I Reloads Marcus Better's iHPFS
::                - swaps back E: and F: drive letters
::                - Reloads current driver if no arguments are issued.
@echo off

:: Synchronize current ASSIGN.com version with MS-DOS's
VER | FIND /I "6.20" >NUL
IF ERRORLEVEL 1 echo REhpfs.bat: Works ONLY with MS-DOS v6.20
IF ERRORLEVEL 1 goto _out

:: Change back drive letters to their original names
CD E:\
CD F:\
SMARTDRV /c /r /q
   C:\BIN\HPFS4DOS\ASSIGN E=E F=F
:: C:\BIN\HPFS4DOS\ASSIGN

:: Remove the HPFS driver
IF EXIST C:\iHPFS.       C:\BIN\HPFS4DOS\IHPFS   /u
IF EXIST C:\HPFS_acc.ess C:\BIN\HPFS4DOS\WIN_ENG

:: When HPFS_access is installed at boot time, it CANNOT be uninstalled
:: - That's the reason NOT to load it before any other HPFS driver
MEM /C | FIND /I "HPFS" | FIND "8,048" >nul
IF NOT ERRORLEVEL 1 echo 
IF NOT ERRORLEVEL 1 echo  CANNOT uninstall HPFS_access because it was loaded at boot 
IF NOT ERRORLEVEL 1 echo 

:: This code looks for the following line in the MEM /c listing: 
::
:: Name           Total       =   Conventional   +   Upper Memory
:: --------  ----------------   ----------------   ----------------
:: MSDOS       17,245   (17K)     17,245   (17K)          0    (0K)
:: HPFS         8,048    (8K)      8,048    (8K)          0    (0K)

:: Reloads HPFS
IF (%1)==(/a) goto _HPFS_access
IF (%1)==(/A) goto _HPFS_access
IF (%1)==(/i) goto _iHPFS
IF (%1)==(/I) goto _iHPFS
IF EXIST C:\iHPFS.       goto _iHPFS
IF EXIST C:\HPFS_acc.ess goto _HPFS_access
goto _iHPFS

:_HPFS_access
IF EXIST C:\iHPFS.       del C:\iHPFS.
ECHO Using HPFS_access>C:\HPFS_acc.ess 
C:\BIN\HPFS4DOS\WIN_ENG F=1 1024b
goto _swap

:_iHPFS
IF EXIST C:\HPFS_acc.ess del C:\HPFS_acc.ess
ECHO Using iHPFS>C:\iHPFS.
C:\BIN\HPFS4DOS\IHPFS /L F:1 /C=512
goto _swap

:_swap
:: Swap again drive letters
C:\BIN\HPFS4DOS\ASSIGN E=F F=E

:_out
:: REhpfs.bat ==> End of file
